Bug 493367 - Radeon Test Day - switch user problems - Unable to start apps when returning to session [NEEDINFO]
Radeon Test Day - switch user problems - Unable to start apps when returning ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 11:24 EDT by James Laska
Modified: 2015-01-14 18:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdc: needinfo? (jlaska)


Attachments (Terms of Use)
X-switchuser-logs.tgz (81.95 KB, application/octet-stream)
2009-04-01 11:24 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-04-01 11:24:31 EDT
Created attachment 337554 [details]
X-switchuser-logs.tgz

Description of problem:

While testing fast user switching from a Live USB image (https://fedoraproject.org/wiki/QA:Testcase_radeon_fastuserswitch) ... I can login 2 users, but when I return to the first logged in user ... that user is unable to open any X applications.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot LiveImage from test day https://fedoraproject.org/wiki/Test_Day:Radeon_2009-04-01#Live_Image
2. Install xorg-x11-drv-ati-6.12.1-2.fc11 (http://koji.fedoraproject.org/koji/buildinfo?buildID=96134) and restart X
3. Login as "Live User"
4. Switch user
5. Login as "Guest"
6. Switch user
7. Return to "Live User" session
  
Actual results:

After step#7 ... I am unable to open any windows.  It has the feel of when you change the hostname of a system and X apps can no longer connect to the running X server.

Expected results:


Additional info:

Attaching log files ...

(~)> tar -ztvf Desktop/X-switchuser-logs.tgz 
-rw-r--r-- gdm/gdm        1377 2009-04-01 15:13 var/log/gdm/:0-greeter.log
-rw-r--r-- gdm/gdm        1377 2009-04-01 15:02 var/log/gdm/:0-greeter.log.1
-rw-r--r-- gdm/gdm         930 2009-04-01 15:00 var/log/gdm/:0-greeter.log.2
-rw-r--r-- root/root     50441 2009-04-01 15:14 var/log/gdm/:0.log
-rw-r--r-- root/root     51551 2009-04-01 15:13 var/log/gdm/:0.log.1
-rw-r--r-- root/root     48162 2009-04-01 15:02 var/log/gdm/:0.log.2
-rw-r--r-- root/root       142 2009-04-01 15:13 var/log/gdm/:0-slave.log
-rw-r--r-- root/root       214 2009-04-01 15:13 var/log/gdm/:0-slave.log.1
-rw-r--r-- root/root       195 2009-04-01 15:02 var/log/gdm/:0-slave.log.2
-rw-r--r-- gdm/gdm         978 2009-04-01 15:03 var/log/gdm/:1-greeter.log
-rw-r--r-- root/root     68581 2009-04-01 15:13 var/log/gdm/:1.log
-rw-r--r-- root/root       243 2009-04-01 15:13 var/log/gdm/:1-slave.log
-rw-r--r-- gdm/gdm       20400 2009-04-01 15:04 var/log/gdm/:2-greeter.log
-rw-r--r-- root/root     41831 2009-04-01 15:14 var/log/gdm/:2.log
-rw-r--r-- root/root       142 2009-04-01 15:04 var/log/gdm/:2-slave.log
-rw------- root/root    117168 2009-04-01 15:14 var/log/messages
-rw-r--r-- root/root     57474 2009-04-01 15:14 var/log/Xorg.0.log
-rw-r--r-- root/root     58923 2009-04-01 15:13 var/log/Xorg.0.log.old
-rw-r--r-- root/root     75877 2009-04-01 15:13 var/log/Xorg.1.log
-rw-r--r-- root/root     48940 2009-04-01 15:14 var/log/Xorg.2.log
Comment 1 François Cami 2009-04-11 22:31:08 EDT
James,

This may be the broken VT switch from the radeon/KMS driver more than gdm itself.

This should be fixed now. If you have a rawhide install, could you test
kernel-2.6.29.1-54.fc11 and xorg-x11-drv-ati-6.12.1-10.fc11 ?

Thanks in advance

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Basil Mohamed Gohar 2009-06-01 10:16:10 EDT
I wonder if this is related to this one:

https://bugzilla.redhat.com/show_bug.cgi?id=499526
Comment 3 Bug Zapper 2009-06-09 08:58:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:24:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 07:38:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.